## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFileOutputStream Class Reference

`#include <XalanFileOutputStream.hpp>`

Inheritance diagram for XalanFileOutputStream:

[legend]
Collaboration diagram for XalanFileOutputStream:

[legend]
List of all members.

## Public Types

- typedef FILE* HandleType
- enum { eDefaultBufferSize = 8192 }

## Public Methods

- XalanFileOutputStream (const XalanDOMString &theFileName, MemoryManagerType &theManager, unsigned int theBufferSize=eDefaultBufferSize)
    Construct an XalanFileOutputStream object. More...
- virtual ~XalanFileOutputStream ()

## Static Public Methods

- XalanFileOutputStream* create (const XalanDOMString &theFileName, MemoryManagerType &theManager, unsigned int theBufferSize=eDefaultBufferSize)

## Protected Methods

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer. More...
- virtual void doFlush ()
    Flush the stream. More...

## Member Typedef Documentation

typedef FILE * XalanFileOutputStream::HandleType

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eDefaultBufferSize |

## Constructor & Destructor Documentation

XalanFileOutputStream::XalanFileOutputStream ( | const XalanDOMString & theFileName,
| MemoryManagerType & theManager,
| unsigned int theBufferSize = eDefaultBufferSize )

  | Construct an XalanFileOutputStream object. Parameters:
  theFileName | name of file
  theBufferSize | The size of the transcoding buffer

XalanFileOutputStream::~XalanFileOutputStream ( | )`[virtual]`

## Member Function Documentation

XalanFileOutputStream * XalanFileOutputStream::create ( | const XalanDOMString & theFileName,
| MemoryManagerType & theManager,
| unsigned int theBufferSize = eDefaultBufferSize )`[static]`

void XalanFileOutputStream::doFlush ( | )`[protected, virtual]`

| Flush the stream. Reimplemented from XalanOutputStream.

void XalanFileOutputStream::writeData ( | const char * theBuffer,
| size_type theBufferLength )`[protected, virtual]`

  | Write the data in the buffer. Parameters:
  theBuffer | The data to write
  theBufferLength | The length of theBuffer.
Reimplemented from XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanFileOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.